
module Data.DOM.CSSPageRule
       (set'selectorText, get'selectorText, getm'selectorText, get'style,
        getm'style)
       where
import Data.DOM.Css
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Views
import Data.DOM.Stylesheets
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
set'selectorText ::
                 (Monad mn, CCSSPageRule zz) =>
                   Expression String -> Expression zz -> mn (Expression zz)
set'selectorText = setjsProperty "selectorText"
 
get'selectorText ::
                 (Monad mn, CCSSPageRule this) =>
                   Expression this -> mn (Expression String)
get'selectorText thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "selectorText")
       return r
 
getm'selectorText ::
                  (Monad mn, CCSSPageRule this) =>
                    Expression this -> mn (Expression String)
getm'selectorText = get'selectorText
 
get'style ::
          (Monad mn, CCSSPageRule this, CCSSStyleDeclaration zz) =>
            Expression this -> mn (Expression zz)
get'style thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "style")
       return r
 
getm'style ::
           (Monad mn, CCSSPageRule this) =>
             Expression this -> mn (Expression TCSSStyleDeclaration)
getm'style = get'style

