
module Data.DOM.CSSStyleSheet
       (insertRule, deleteRule, get'ownerRule, getm'ownerRule,
        get'cssRules, getm'cssRules)
       where
import Data.DOM.Css
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Views
import Data.DOM.Stylesheets
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
insertRule ::
           (Monad mn, CCSSStyleSheet this) =>
             Expression String ->
               Expression Double -> Expression this -> mn (Expression Double)
insertRule a b thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "insertRule")
       return (CallExpr et r [a /\ et, b /\ et])
 
deleteRule ::
           (Monad mn, CCSSStyleSheet this) =>
             Expression Double -> Expression this -> mn (Expression ())
deleteRule a thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "deleteRule")
       return (CallExpr et r [a /\ et])
 
get'ownerRule ::
              (Monad mn, CCSSStyleSheet this, CCSSRule zz) =>
                Expression this -> mn (Expression zz)
get'ownerRule thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "ownerRule")
       return r
 
getm'ownerRule ::
               (Monad mn, CCSSStyleSheet this) =>
                 Expression this -> mn (Expression TCSSRule)
getm'ownerRule = get'ownerRule
 
get'cssRules ::
             (Monad mn, CCSSStyleSheet this, CCSSRuleList zz) =>
               Expression this -> mn (Expression zz)
get'cssRules thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "cssRules")
       return r
 
getm'cssRules ::
              (Monad mn, CCSSStyleSheet this) =>
                Expression this -> mn (Expression TCSSRuleList)
getm'cssRules = get'cssRules

