
module Data.DOM.HTMLButtonElement
       (get'form, getm'form, set'accessKey, get'accessKey, getm'accessKey,
        set'disabled, get'disabled, getm'disabled, set'name, get'name,
        getm'name, set'tabIndex, get'tabIndex, getm'tabIndex, get'type,
        getm'type, set'value, get'value, getm'value, mkButton)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
get'form ::
         (Monad mn, CHTMLButtonElement this, CHTMLFormElement zz) =>
           Expression this -> mn (Expression zz)
get'form thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "form")
       return r
 
getm'form ::
          (Monad mn, CHTMLButtonElement this) =>
            Expression this -> mn (Expression THTMLFormElement)
getm'form = get'form
 
set'accessKey ::
              (Monad mn, CHTMLButtonElement zz) =>
                Expression String -> Expression zz -> mn (Expression zz)
set'accessKey = setjsProperty "accessKey"
 
get'accessKey ::
              (Monad mn, CHTMLButtonElement this) =>
                Expression this -> mn (Expression String)
get'accessKey thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "accessKey")
       return r
 
getm'accessKey ::
               (Monad mn, CHTMLButtonElement this) =>
                 Expression this -> mn (Expression String)
getm'accessKey = get'accessKey
 
set'disabled ::
             (Monad mn, CHTMLButtonElement zz) =>
               Expression Bool -> Expression zz -> mn (Expression zz)
set'disabled = setjsProperty "disabled"
 
get'disabled ::
             (Monad mn, CHTMLButtonElement this) =>
               Expression this -> mn (Expression Bool)
get'disabled thisp
  = do let et = undefined :: Bool
       let r = DotRef et (thisp /\ et) (Id et "disabled")
       return r
 
getm'disabled ::
              (Monad mn, CHTMLButtonElement this) =>
                Expression this -> mn (Expression Bool)
getm'disabled = get'disabled
 
set'name ::
         (Monad mn, CHTMLButtonElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'name = setjsProperty "name"
 
get'name ::
         (Monad mn, CHTMLButtonElement this) =>
           Expression this -> mn (Expression String)
get'name thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "name")
       return r
 
getm'name ::
          (Monad mn, CHTMLButtonElement this) =>
            Expression this -> mn (Expression String)
getm'name = get'name
 
set'tabIndex ::
             (Monad mn, CHTMLButtonElement zz) =>
               Expression Double -> Expression zz -> mn (Expression zz)
set'tabIndex = setjsProperty "tabIndex"
 
get'tabIndex ::
             (Monad mn, CHTMLButtonElement this) =>
               Expression this -> mn (Expression Double)
get'tabIndex thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "tabIndex")
       return r
 
getm'tabIndex ::
              (Monad mn, CHTMLButtonElement this) =>
                Expression this -> mn (Expression Double)
getm'tabIndex = get'tabIndex
 
get'type ::
         (Monad mn, CHTMLButtonElement this) =>
           Expression this -> mn (Expression String)
get'type thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "type")
       return r
 
getm'type ::
          (Monad mn, CHTMLButtonElement this) =>
            Expression this -> mn (Expression String)
getm'type = get'type
 
set'value ::
          (Monad mn, CHTMLButtonElement zz) =>
            Expression String -> Expression zz -> mn (Expression zz)
set'value = setjsProperty "value"
 
get'value ::
          (Monad mn, CHTMLButtonElement this) =>
            Expression this -> mn (Expression String)
get'value thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "value")
       return r
 
getm'value ::
           (Monad mn, CHTMLButtonElement this) =>
             Expression this -> mn (Expression String)
getm'value = get'value
 
mkButton ::
         (Monad mn, CHTMLDocument a) =>
           Expression a -> mn (Expression THTMLButtonElement)
mkButton = createElement (StringLit "button" "button")

