
module Data.DOM.StyleSheet
       (get'type, getm'type, set'disabled, get'disabled, getm'disabled,
        get'ownerNode, getm'ownerNode, get'parentStyleSheet,
        getm'parentStyleSheet, get'href, getm'href, get'title, getm'title,
        get'media, getm'media)
       where
import Data.DOM.Stylesheets
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
get'type ::
         (Monad mn, CStyleSheet this) =>
           Expression this -> mn (Expression String)
get'type thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "type")
       return r
 
getm'type ::
          (Monad mn, CStyleSheet this) =>
            Expression this -> mn (Expression String)
getm'type = get'type
 
set'disabled ::
             (Monad mn, CStyleSheet zz) =>
               Expression Bool -> Expression zz -> mn (Expression zz)
set'disabled = setjsProperty "disabled"
 
get'disabled ::
             (Monad mn, CStyleSheet this) =>
               Expression this -> mn (Expression Bool)
get'disabled thisp
  = do let et = undefined :: Bool
       let r = DotRef et (thisp /\ et) (Id et "disabled")
       return r
 
getm'disabled ::
              (Monad mn, CStyleSheet this) =>
                Expression this -> mn (Expression Bool)
getm'disabled = get'disabled
 
get'ownerNode ::
              (Monad mn, CStyleSheet this, CNode zz) =>
                Expression this -> mn (Expression zz)
get'ownerNode thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "ownerNode")
       return r
 
getm'ownerNode ::
               (Monad mn, CStyleSheet this) =>
                 Expression this -> mn (Expression TNode)
getm'ownerNode = get'ownerNode
 
get'parentStyleSheet ::
                     (Monad mn, CStyleSheet this, CStyleSheet zz) =>
                       Expression this -> mn (Expression zz)
get'parentStyleSheet thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "parentStyleSheet")
       return r
 
getm'parentStyleSheet ::
                      (Monad mn, CStyleSheet this) =>
                        Expression this -> mn (Expression TStyleSheet)
getm'parentStyleSheet = get'parentStyleSheet
 
get'href ::
         (Monad mn, CStyleSheet this) =>
           Expression this -> mn (Expression String)
get'href thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "href")
       return r
 
getm'href ::
          (Monad mn, CStyleSheet this) =>
            Expression this -> mn (Expression String)
getm'href = get'href
 
get'title ::
          (Monad mn, CStyleSheet this) =>
            Expression this -> mn (Expression String)
get'title thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "title")
       return r
 
getm'title ::
           (Monad mn, CStyleSheet this) =>
             Expression this -> mn (Expression String)
getm'title = get'title
 
get'media ::
          (Monad mn, CStyleSheet this, CMediaList zz) =>
            Expression this -> mn (Expression zz)
get'media thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "media")
       return r
 
getm'media ::
           (Monad mn, CStyleSheet this) =>
             Expression this -> mn (Expression TMediaList)
getm'media = get'media

